Vulnerability CVE-2022-41920


Published: 2022-11-17

Description:
Lancet is a general utility library for the go programming language. Affected versions are subject to a ZipSlip issue when using the fileutil package to unzip files. This issue has been addressed and a fix will be included in versions 2.1.10 and 1.3.4. Users are advised to upgrade. There are no known workarounds for this issue.

Type:

CWE-22

(Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal'))

 References:
https://github.com/duke-git/lancet/issues/62
https://github.com/duke-git/lancet/commit/f869a0a67098e92d24ddd913e188b32404fa72c9
https://github.com/duke-git/lancet/commit/f133b32faa05eb93e66175d01827afa4b7094572
https://github.com/duke-git/lancet/security/advisories/GHSA-pp3f-xrw5-q5j4

Copyright 2022, cxsecurity.com

 

Back to Top